List Communication Groups
curl --request GET \
--url https://api.embedreach.com/api/communication-groupsimport requests
url = "https://api.embedreach.com/api/communication-groups"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/communication-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"results": [
{
"id": "<string>",
"emailChannelSenderId": "<string>",
"emailHtmlBody": "<string>",
"emailCompiledHtml": "<string>",
"emailTextBody": "<string>",
"emailPreviewText": "<string>",
"emailSubject": "<string>",
"smsChannelSenderId": "<string>",
"smsMessageBody": "<string>",
"textMessageCompanyName": "<string>",
"updatedFromDefault": {
"email_html_body": "<string>",
"email_text_body": "<string>",
"text_message_body": "<string>"
},
"textMessageMediaUrls": [
"<string>"
],
"extraMergeFields": [
{
"id": "<string>",
"type": "static",
"templateName": "<string>",
"displayName": "<string>",
"staticValue": "<string>"
}
]
}
],
"pagination": {
"hasNextPage": true,
"cursor": "<string>",
"total": 123
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}Communication Groups
List Communication Groups
List all communication groups
GET
/
api
/
communication-groups
List Communication Groups
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Query Parameters
The cursor to start from
The limit of items to return, default is 100
⌘I